## slixmpp 1.7.0

=== docs/requirements.txt ===
sphinx-autodoc-typehints

## slixmpp 1.2.1

=== debian/changelog ===
slixmpp (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #819590)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 24 Oct 2016 11:31:40 +0200

=== debian/control ===
Source: slixmpp
Section: python
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends:
    cython3,
    debhelper (>=9),
    dh-python,
    libidn11-dev,
    python3-all,
    python3-all-dev,
    python3-docutils,
    python3-sphinx,
    python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://dev.louiz.org/projects/slixmpp
Vcs-Git: https://git.ortolo.eu/git/pkg-slixmpp.git
Vcs-Browser: https://git.ortolo.eu/pkg-slixmpp.git
X-Python3-Version: >= 3.4

Package: python3-slixmpp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-slixmpp-lib
Description: Threadless, event-based XMPP Python 3 library
 Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
 core of the library by entirely removing all threads from the library and
 using an event-based approach instead.
 .
 Features of this library:
  * No threads. See http://blog.louiz.org/slixmpp. All parts of the API relying
    on threads are removed.
  * No support for Python < 3.4. This allows one to remove a lot of workaround
    and other hacks.
  * No backward compatibility with old SleekXMPP version. For example things
    like “addHandler = add_handler” are removed.
 .
 You should use this library only if you would prefer not to use threads in
 your application. If threads don’t really bother you, or if you need Python
 2 support, then you should use SleekXMPP instead.

Package: python3-slixmpp-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Threadless, event-based XMPP Python 3 library (optional binary module)
 Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
 core of the library by entirely removing all threads from the library and
 using an event-based approach instead.
 .
 This is an optional package that installs a binary extension module to
 improve performance on critical modules.

Package: python-slixmpp-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Threadless, event-based XMPP Python library (documentation)
 Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
 core of the library by entirely removing all threads from the library and
 using an event-based approach instead.
 .
 This is the documentation package.

## slixmpp 1.2.2

=== debian/changelog ===
slixmpp (1.2.2-1.1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:28:15 +0000

slixmpp (1.2.2-1.1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 May 2017 19:28:52 +0530

slixmpp (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2017-5591:
    An incorrect implementation of XEP-0280: Message Carbons in slixmpp allows
    a remote attacker to impersonate any user, including contacts, in the
    vulnerable application's display. This allows for various kinds of social
    engineering attacks. (Closes: #854740)

 -- Markus Koschany <apo@debian.org>  Sun, 26 Feb 2017 20:31:13 +0100

slixmpp (1.2.2-1) unstable; urgency=medium

  * New upstream version:
     - fix a roster vulnerability (CVE-2015-8688).
  * debian/patches/disable-incorrect-tests.patch: disable tests that are
    relying on a roster vulnerability that is corrected by this version.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 29 Nov 2016 15:59:09 +0100

slixmpp (1.2.1-3) unstable; urgency=medium

  * debian/clean: delete slixmpp/stringprep.c which is regenerated on build
    and may differ from the (useless) original, but not automatically cleaned.
    (Closes: #845179)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 21 Nov 2016 17:39:36 +0100

slixmpp (1.2.1-2) unstable; urgency=medium

  * debian/control:
     - Build-Depend on gnupg, needed for tests. (Closes: #844466)
     - Recommend gnupg, needed for OpenPGP features.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 16 Nov 2016 15:42:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
     cython3,
     debhelper (>=9),
     dh-python,
+    gnupg,
     libidn11-dev,
     python3-all,
     python3-all-dev,
@@ -21,7 +22,9 @@
 Package: python3-slixmpp
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: python3-slixmpp-lib
+Recommends:
+    gnupg,
+    python3-slixmpp-lib
 Description: Threadless, event-based XMPP Python 3 library
  Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
  core of the library by entirely removing all threads from the library and

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export PYBUILD_NAME = slixmpp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# Build the documentation, with Sphinx for Python 3 as Slixmpp is
	# not usable with Python 2.
	PYTHONPATH=. http_proxy='127.0.0.1:9' make \
		   SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
		   -C docs html

override_dh_auto_install:
	dh_auto_install
	# Move binary libraries to the binary package
	# (pybuild is supposed to be able to do that but it does not seem to
	# work)
	for library in debian/python3-slixmpp/usr/lib/python*/dist-packages/slixmpp/*.so ; \
	do \
	    short_path="$${library#debian/python3-slixmpp/}" ; \
	    short_dir="$${short_path%/*}" ; \
	    if [ ! -e "debian/python3-slixmpp-lib/$$short_dir" ] ; \
	    then \
	        mkdir -p "debian/python3-slixmpp-lib/$$short_dir" ; \
	    fi ; \
	    mv "$$library" "debian/python3-slixmpp-lib/$$short_dir" ; \
	done

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

## slixmpp 1.3.0+git20180331

=== debian/changelog ===
slixmpp (1.3.0+git20180331-1) unstable; urgency=medium

  * New upstream snapshot, needed for poezio (Closes: #887470)
  * Move package into XMPP team and move git repo to salsa
  * Bump dh compat level and standards version

 -- W. Martin Borgert <debacle@debian.org>  Wed, 11 Apr 2018 22:37:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: slixmpp
 Section: python
 Priority: optional
-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
+    W. Martin Borgert <debacle@debian.org>
 Build-Depends:
     cython3,
-    debhelper (>=9),
+    debhelper (>= 11),
     dh-python,
     gnupg,
     libidn11-dev,
     python3-all,
     python3-all-dev,
+    python3-aiohttp,
     python3-docutils,
     python3-sphinx,
     python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Homepage: https://dev.louiz.org/projects/slixmpp
-Vcs-Git: https://git.ortolo.eu/git/pkg-slixmpp.git
-Vcs-Browser: https://git.ortolo.eu/pkg-slixmpp.git
+Vcs-Git: https://salsa.debian.org/xmpp-team/slixmpp.git
+Vcs-Browser: https://salsa.debian.org/xmpp-team/slixmpp
 X-Python3-Version: >= 3.4
 
 Package: python3-slixmpp
@@ -44,6 +48,7 @@
 
 Package: python3-slixmpp-lib
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Description: Threadless, event-based XMPP Python 3 library (optional binary module)
  Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
@@ -55,6 +60,7 @@
 
 Package: python-slixmpp-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Threadless, event-based XMPP Python library (documentation)

## slixmpp 1.3.0+git20180724

=== debian/changelog ===
slixmpp (1.3.0+git20180724-1) unstable; urgency=medium

  * New upstream snapshot, fixes Python 3.7 compatibility (Closes: #904644)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 27 Jul 2018 08:44:07 +0000

## slixmpp 1.3.0+git20180802

=== debian/changelog ===
slixmpp (1.3.0+git20180802-1) unstable; urgency=medium

  * New upstream snapshot

 -- W. Martin Borgert <debacle@debian.org>  Fri, 03 Aug 2018 06:53:34 +0000

## slixmpp 1.3.0+git20180808

=== debian/changelog ===
slixmpp (1.3.0+git20180808-1) unstable; urgency=medium

  * New upstream snapshot

 -- W. Martin Borgert <debacle@debian.org>  Thu, 09 Aug 2018 20:40:05 +0000

## slixmpp 1.4.0

=== debian/changelog ===
slixmpp (1.4.0-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 19:45:29 +0000

slixmpp (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Remove patch that disabled some tests

 -- W. Martin Borgert <debacle@debian.org>  Tue, 14 Aug 2018 09:05:27 +0000

## slixmpp 1.4.2

=== debian/changelog ===
slixmpp (1.4.2-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:25:19 +0100

slixmpp (1.4.2-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:57:05 +0000

slixmpp (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- W. Martin Borgert <debacle@debian.org>  Sat, 02 Feb 2019 14:19:54 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Homepage: https://dev.louiz.org/projects/slixmpp
 Vcs-Git: https://salsa.debian.org/xmpp-team/slixmpp.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/slixmpp
-X-Python3-Version: >= 3.4
 
 Package: python3-slixmpp
 Architecture: all

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

https://dev.louiz.org/projects/@PACKAGE@/files .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian

## slixmpp 1.5.1

=== debian/changelog ===
slixmpp (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Mon, 04 May 2020 16:48:50 +0000

## slixmpp 1.5.2

=== debian/changelog ===
slixmpp (1.5.2-2build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:26:15 +0100

slixmpp (1.5.2-2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:00:32 +0100

slixmpp (1.5.2-2) unstable; urgency=medium

  * Add examples to -doc package.

 -- Martin <debacle@debian.org>  Thu, 20 Aug 2020 20:21:37 +0000

slixmpp (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Mon, 25 May 2020 22:12:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
-    W. Martin Borgert <debacle@debian.org>
+    Martin <debacle@debian.org>
 Build-Depends:
     cython3,
-    debhelper (>= 11),
+    debhelper-compat (= 11),
     dh-python,
     gnupg,
     libidn11-dev,
@@ -18,7 +18,7 @@
     python3-setuptools,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
-Homepage: https://dev.louiz.org/projects/slixmpp
+Homepage: https://lab.louiz.org/poezio/slixmpp
 Vcs-Git: https://salsa.debian.org/xmpp-team/slixmpp.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/slixmpp

## slixmpp 1.7.0

=== debian/changelog ===
slixmpp (1.7.0-2ubuntu1) jammy; urgency=medium

  * debian/patches/0001-Fix-deprecation-warning.patch: Cherry-pick patch
    from upstream to fix python3.10 compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Nov 2021 23:18:07 +0000

slixmpp (1.7.0-2build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 15:59:46 +0200

slixmpp (1.7.0-2) unstable; urgency=medium

  * Add upstream fix for failing tests.

 -- Martin <debacle@debian.org>  Fri, 19 Feb 2021 19:46:48 +0000

slixmpp (1.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Add autopkgtests.

 -- Martin <debacle@debian.org>  Thu, 18 Feb 2021 23:45:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: slixmpp
 Section: python
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:
     cython3,
-    debhelper-compat (= 11),
+    debhelper-compat (= 13),
     dh-python,
     gnupg,
     libidn11-dev,
@@ -15,6 +16,7 @@
     python3-aiohttp,
     python3-docutils,
     python3-sphinx,
+    python3-sphinx-autodoc-typehints,
     python3-setuptools,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
@@ -27,7 +29,10 @@
 Depends: ${misc:Depends}, ${python3:Depends}
 Recommends:
     gnupg,
-    python3-slixmpp-lib
+    python3-slixmpp-lib,
+Suggests:
+    python3-aiohttp,
+    python3-emoji,
 Description: Threadless, event-based XMPP Python 3 library
  Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
  core of the library by entirely removing all threads from the library and

## slixmpp 1.7.1

=== debian/changelog ===
slixmpp (1.7.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:05:55 +0000

slixmpp (1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Add upstream patch to fix deprecation warning.

 -- Martin <debacle@debian.org>  Mon, 22 Nov 2021 19:20:12 +0000

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts=filenamemangle=s/.*\/archive\/slix-(\d\S+)\/slix.*\.tar\.gz/slixmpp-slix-$1\.tar\.gz/g \
  https://lab.louiz.org/poezio/slixmpp/tags?sort=updated_desc .*/archive/slix-(\d\S+)/.*\.tar\.gz.* debian

## slixmpp 1.8.2

=== docs/requirements.txt ===
sphinx-autodoc-typehints
typing_extensions
furo

=== debian/changelog ===
slixmpp (1.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Martin <debacle@debian.org>  Mon, 11 Apr 2022 18:09:07 +0000

slixmpp (1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove obsolete patch, applied upstream:
    - fix-reactions-unittest.patch

 -- Martin <debacle@debian.org>  Tue, 05 Apr 2022 22:56:50 +0000

slixmpp (1.8.0-2) unstable; urgency=medium

  * Build depend on python3-emoji to enable certain unittests.
  * Add patch to fix unit test, which is failing on ppc64el only.

 -- Martin <debacle@debian.org>  Mon, 07 Mar 2022 19:03:26 +0000

slixmpp (1.8.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove obsolete patches, applied upstream:
    - fix-deprecation-warning.patch
    - fix-prerequisites-for-stanza-tests.patch
  * Use default sphinx theme instead of furo (not in Debian)

 -- Martin <debacle@debian.org>  Sun, 06 Mar 2022 09:20:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: slixmpp
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:
@@ -11,13 +10,15 @@
     dh-python,
     gnupg,
     libidn11-dev,
+    python3-aiohttp,
     python3-all,
     python3-all-dev,
-    python3-aiohttp,
+    python3-cryptography,
     python3-docutils,
+    python3-emoji,
+    python3-setuptools,
     python3-sphinx,
     python3-sphinx-autodoc-typehints,
-    python3-setuptools,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
 Homepage: https://lab.louiz.org/poezio/slixmpp
@@ -26,13 +27,14 @@
 
 Package: python3-slixmpp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+    ${python3:Depends}
 Recommends:
     gnupg,
+    python3-aiohttp,
+    python3-cryptography,
+    python3-emoji,
     python3-slixmpp-lib,
-Suggests:
-    python3-aiohttp,
-    python3-emoji,
 Description: Threadless, event-based XMPP Python 3 library
  Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
  core of the library by entirely removing all threads from the library and

## slixmpp 1.8.3

=== debian/changelog ===
slixmpp (1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop latest patch, applied upstream.

 -- Martin <debacle@debian.org>  Sat, 12 Nov 2022 21:28:49 +0000

slixmpp (1.8.2-2) unstable; urgency=medium

  * Add patch to fix emoji 2.0.0 compatibility (Closes: #1022492)

 -- Martin <debacle@debian.org>  Tue, 01 Nov 2022 07:50:56 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
     python3-all-dev,
     python3-cryptography,
     python3-docutils,
-    python3-emoji,
+    python3-emoji (>= 2.2.0~),
     python3-setuptools,
     python3-sphinx,
     python3-sphinx-autodoc-typehints,
@@ -33,7 +33,7 @@
     gnupg,
     python3-aiohttp,
     python3-cryptography,
-    python3-emoji,
+    python3-emoji (>= 2.2.0~),
     python3-slixmpp-lib,
 Description: Threadless, event-based XMPP Python 3 library
  Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the

=== debian/tests/control ===
# run unit tests, but skip some tests, that still fail in
# autopkgtests - needs further investigation
Test-Command: ./run_tests.py
Depends: @builddeps@
Restrictions: allow-stderr

## slixmpp 1.8.4

=== debian/changelog ===
slixmpp (1.8.4-3~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm

 -- Martin <debacle@debian.org>  Sun, 15 Oct 2023 12:06:05 +0000

slixmpp (1.8.4-3) unstable; urgency=medium

  * Skip some tests for Python < 3.12, that trigger a segfault in
    Python 3.10 and 3.11 (bug #1040057)
  * Build-depend on libidn-dev instead of libidn11-dev

 -- Martin <debacle@debian.org>  Thu, 12 Oct 2023 15:45:15 +0000

slixmpp (1.8.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Martin <debacle@debian.org>  Sat, 10 Jun 2023 21:34:10 +0000

slixmpp (1.8.4-1) experimental; urgency=medium

  * New upstream release.

 -- Martin <debacle@debian.org>  Sun, 28 May 2023 12:56:20 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
     debhelper-compat (= 13),
     dh-python,
     gnupg,
-    libidn11-dev,
+    libidn-dev,
     python3-aiohttp,
     python3-all,
     python3-all-dev,
@@ -21,7 +21,7 @@
     python3-sphinx-autodoc-typehints,
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
-Homepage: https://lab.louiz.org/poezio/slixmpp
+Homepage: https://codeberg.org/poezio/slixmpp
 Vcs-Git: https://salsa.debian.org/xmpp-team/slixmpp.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/slixmpp

## slixmpp 1.8.5

=== debian/changelog ===
slixmpp (1.8.5-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 15:31:01 +0000

slixmpp (1.8.5-1) unstable; urgency=medium

  * New upstream version
  * Remove patch: close event loop at exit, applied upstream

 -- Martin <debacle@debian.org>  Fri, 02 Feb 2024 08:08:48 +0000

slixmpp (1.8.4-6) unstable; urgency=medium

  * Use setuptools instead of distutils (Closes: #1061845)
  * furo sphinx theme is in Debian now, delete patch avoiding it

 -- Martin <debacle@debian.org>  Mon, 29 Jan 2024 22:09:36 +0000

slixmpp (1.8.4-5) unstable; urgency=medium

  * Build and autopkgtests depend on python3-distutils

 -- Martin <debacle@debian.org>  Sun, 28 Jan 2024 09:44:16 +0000

slixmpp (1.8.4-4) unstable; urgency=medium

  * Patch: add missing import for sphinx doc (Closes: #1060945)
  * Patch: tests: close event loop at exit
  * Fix autopkgtests (Closes: #1054144)

 -- Martin <debacle@debian.org>  Thu, 25 Jan 2024 07:40:47 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	dh_auto_build
 	# Build the documentation, with Sphinx for Python 3 as Slixmpp is
 	# not usable with Python 2.
+	PYTHONHASHSEED=0; \
+	export PYTHONHASHSEED; \
 	PYTHONPATH=. http_proxy='127.0.0.1:9' make \
 		   SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
 		   -C docs html
@@ -37,3 +39,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	make -C docs clean
+
+override_dh_sphinxdoc-indep:
+	dh_sphinxdoc -Xtheme_extras.js

## slixmpp 1.8.6

=== debian/changelog ===
slixmpp (1.8.6-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Fri, 27 Dec 2024 01:53:43 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
     cython3,
     debhelper-compat (= 13),
     dh-python,
+    furo,
     gnupg,
     libidn-dev,
     python3-aiohttp,

## slixmpp 1.9.1

=== debian/changelog ===
slixmpp (1.9.1-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Tue, 11 Mar 2025 23:18:41 +0000

slixmpp (1.9.0-2) unstable; urgency=medium

  * Drop Recommends of python3-slixmpp-lib

 -- Martin <debacle@debian.org>  Mon, 10 Mar 2025 07:00:06 +0000

slixmpp (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Temporarily drop Rust based python3-slixmpp-lib,
    until librust-jid-dev is packaged (#1099131)

 -- Martin <debacle@debian.org>  Fri, 07 Mar 2025 08:39:37 +0000

## slixmpp 1.10.0

=== debian/changelog ===
slixmpp (1.10.0-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Wed, 26 Mar 2025 21:16:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:
-    cython3,
     debhelper-compat (= 13),
     dh-python,
     furo,
     gnupg,
     libidn-dev,
+    pybuild-plugin-pyproject,
     python3-aiohttp,
     python3-all,
     python3-all-dev,
@@ -35,7 +35,6 @@
     python3-aiohttp,
     python3-cryptography,
     python3-emoji (>= 2.2.0~),
-    python3-slixmpp-lib,
 Description: Threadless, event-based XMPP Python 3 library
  Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
  core of the library by entirely removing all threads from the library and
@@ -53,18 +52,6 @@
  your application. If threads don’t really bother you, or if you need Python
  2 support, then you should use SleekXMPP instead.
 
-Package: python3-slixmpp-lib
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
-Description: Threadless, event-based XMPP Python 3 library (optional binary module)
- Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
- core of the library by entirely removing all threads from the library and
- using an event-based approach instead.
- .
- This is an optional package that installs a binary extension module to
- improve performance on critical modules.
-
 Package: python-slixmpp-doc
 Architecture: all
 Multi-Arch: foreign

## slixmpp 1.11.0

=== debian/changelog ===
slixmpp (1.11.0-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Mon, 01 Sep 2025 22:38:16 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,7 @@
 Build-Depends:
     debhelper-compat (= 13),
     dh-python,
-    furo,
     gnupg,
-    libidn-dev,
     pybuild-plugin-pyproject,
     python3-aiohttp,
     python3-all,
@@ -18,6 +16,8 @@
     python3-docutils,
     python3-emoji (>= 2.2.0~),
     python3-setuptools,
+Build-Depends-Indep:
+    furo,
     python3-sphinx,
     python3-sphinx-autodoc-typehints,
 Standards-Version: 4.1.3

=== debian/tests/control ===
Test-Command: cp -r run_tests.py tests/ $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; ./run_tests.py
Depends: @, @recommends@, python3-setuptools
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://codeberg.org/poezio/@PACKAGE@/tags archive/slix-@ANY_VERSION@\.tar\.gz

## slixmpp 1.12.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Slixmpp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Slixmpp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Slixmpp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Slixmpp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
sphinx-autodoc-typehints
typing_extensions
furo
aiohttp
cryptography

=== debian/changelog ===
slixmpp (1.12.0-1) unstable; urgency=medium

  * New upstream version
  * Drop R³: no, default now
  * Move to Python team

 -- Martin <debacle@debian.org>  Thu, 06 Nov 2025 20:19:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slixmpp
 Section: python
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:
@@ -21,10 +21,9 @@
     python3-sphinx,
     python3-sphinx-autodoc-typehints,
 Standards-Version: 4.1.3
-Rules-Requires-Root: no
 Homepage: https://codeberg.org/poezio/slixmpp
-Vcs-Git: https://salsa.debian.org/xmpp-team/slixmpp.git
-Vcs-Browser: https://salsa.debian.org/xmpp-team/slixmpp
+Vcs-Git: https://salsa.debian.org/python-team/packages/slixmpp.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/slixmpp
 
 Package: python3-slixmpp
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=slixmpp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0; export PYTHONHASHSEED; \
	PYTHONPATH=. http_proxy='127.0.0.1:9' make -C docs html

execute_after_dh_install:
	rm debian/python3-slixmpp/usr/lib/python3/dist-packages/slixmpp/jid.rs

override_dh_auto_test:
	./run_tests.py

execute_after_dh_auto_clean:
	make -C docs clean

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -Xtheme_extras.js

## slixmpp 1.13.0

=== debian/changelog ===
slixmpp (1.13.0-1) unstable; urgency=medium

  * New upstream version
  * Various bug fixes, e.g. regression regarding joining rooms, and new
    features, better compatibility with latest aiodns
  * Drop obsolete remove-license-classifier.patch, refresh
    use-python-jid-not-rust.patch

 -- Martin <debacle@debian.org>  Sun, 08 Feb 2026 10:36:27 +0000

## slixmpp 1.13.2

=== debian/changelog ===
slixmpp (1.13.2-5) unstable; urgency=medium

  * Add Breaks: slidge < 0.3.6

 -- Martin <debacle@debian.org>  Sun, 01 Mar 2026 16:03:43 +0000

slixmpp (1.13.2-4) unstable; urgency=medium

  * Fix build error on armhf, this time for real

 -- Martin <debacle@debian.org>  Mon, 23 Feb 2026 22:02:52 +0000

slixmpp (1.13.2-3) unstable; urgency=medium

  * Bump Standards-Version
  * Drop Priority: optional
  * Update debian/copyright
  * Fix build error on armhf

 -- Martin <debacle@debian.org>  Mon, 23 Feb 2026 09:22:51 +0000

slixmpp (1.13.2-2) unstable; urgency=medium

  * Drop Build-Depends-Indep

 -- Martin <debacle@debian.org>  Mon, 23 Feb 2026 09:04:51 +0000

slixmpp (1.13.2-1) unstable; urgency=medium

  * New upstream version
  * Enable Rust library for JID, drop patch disabling it

 -- Martin <debacle@debian.org>  Sun, 22 Feb 2026 19:25:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: slixmpp
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
     dh-python,
+    furo,
     gnupg,
+    librust-jid-dev,
+    librust-pyo3-dev,
     pybuild-plugin-pyproject,
     python3-aiohttp,
     python3-all,
@@ -16,11 +18,10 @@
     python3-docutils,
     python3-emoji (>= 2.2.0~),
     python3-setuptools,
-Build-Depends-Indep:
-    furo,
+    python3-setuptools-rust,
     python3-sphinx,
     python3-sphinx-autodoc-typehints,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/poezio/slixmpp
 Vcs-Git: https://salsa.debian.org/python-team/packages/slixmpp.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/slixmpp
@@ -29,11 +30,13 @@
 Architecture: all
 Depends: ${misc:Depends},
     ${python3:Depends}
+Breaks: slidge (<< 0.3.6)
 Recommends:
     gnupg,
     python3-aiohttp,
     python3-cryptography,
     python3-emoji (>= 2.2.0~),
+    python3-slixmpp-lib,
 Description: Threadless, event-based XMPP Python 3 library
  Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
  core of the library by entirely removing all threads from the library and
@@ -51,6 +54,18 @@
  your application. If threads don’t really bother you, or if you need Python
  2 support, then you should use SleekXMPP instead.
 
+Package: python3-slixmpp-lib
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Description: Threadless, event-based XMPP Python 3 library (optional binary module)
+ Slixmpp is a (friendly) fork of SleekXMPP, which goal is to “improve” the
+ core of the library by entirely removing all threads from the library and
+ using an event-based approach instead.
+ .
+ This is an optional package that installs a binary extension module to
+ improve performance on critical modules.
+
 Package: python-slixmpp-doc
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_NAME=slixmpp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	mkdir -p src/rust/target/release

override_dh_auto_build:
	dh_auto_build
	PYTHONHASHSEED=0; export PYTHONHASHSEED; \
	PYTHONPATH=. http_proxy='127.0.0.1:9' make -C docs html

execute_after_dh_auto_install:
	rm debian/python3-slixmpp/usr/lib/python3*/dist-packages/slixmpp/jid.cpython-*.so

override_dh_auto_test:
	./run_tests.py

execute_after_dh_auto_clean:
	rm -rf src/rust/target
	rm -rf debian/cargo_registry
	make -C docs clean

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -Xtheme_extras.js
